Package org.gradle.api

# Interface Transformer<OUT extends @Nullable Object,IN>

Type Parameters:
  `OUT` - The type the value is transformed to.
  `IN` - The type of the value to be transformed.

public interface Transformer<OUT extends @Nullable Object,IN>

A `Transformer` transforms objects of type.

Implementations are free to return new objects or mutate the incoming value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `OUT`
  `transform(IN in)`
  Transforms the given object, and returns the transformed value.

- ## Method Details

  - ### transform

    OUT transform(IN in)
    Transforms the given object, and returns the transformed value.
    Parameters:
      `in` - The object to transform.
    Returns:
      The transformed object.